Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.primitives.decorators
Class UnmodifiableCharList

    java.lang.Object
      org.apache.commons.collections.primitives.decorators.BaseProxyCharCollection
          org.apache.commons.collections.primitives.decorators.BaseProxyCharList
              org.apache.commons.collections.primitives.decorators.BaseUnmodifiableCharList
                  org.apache.commons.collections.primitives.decorators.UnmodifiableCharList

All Implemented Interfaces:
  CharCollection, CharList, Serializable

public final class UnmodifiableCharList
extends org.apache.commons.collections.primitives.decorators.BaseUnmodifiableCharList
implements Serializable

Since:
  Commons Primitives 1.0
Version:
  $Revision: 1.1 $ $Date: 2003/10/29 19:20:07 $
Author:
  Rodney Waldhoff
See Also:
  Serialized Form

Method Summary
`boolean` | `add(char element)` Appends the specified element to the end of me (optional operation).
`void` | `add(int index, char element)` Inserts the specified element at the specified position (optional operation).
`boolean` | `addAll(CharCollection c)` `Adds` all of the elements in the specified collection to me (optional operation).
`boolean` | `addAll(int index, CharCollection collection)` Inserts all of the elements in the specified collection into me, at the specified position (optional operation).
`void` | `clear()` Removes all my elements (optional operation).
`boolean` | `contains(char element)` Returns `true` iff I contain the specified element.
`boolean` | `containsAll(CharCollection c)` Returns `true` iff I `contain` all of the elements in the given collection.
`boolean` | `equals(Object obj)` Returns `true` iff that is an `CharList` that contains the same elements in the same order as me.
`char` | `get(int index)` Returns the value of the element at the specified position within me.
`protected CharCollection` | `getProxiedCollection()`
`protected CharList` | `getProxiedList()`
`int` | `hashCode()` Returns my hash code.
`int` | `indexOf(char element)` Returns the index of the first occurrence of the specified element within me, or `-1` if I do not contain the element.
`boolean` | `isEmpty()` Returns `true` iff I contain no elements.
`CharIterator` | `iterator()` Returns an `iterator` over all my elements, in the appropriate sequence.
`int` | `lastIndexOf(char element)` Returns the index of the last occurrence of the specified element within me, or -1 if I do not contain the element.
`CharListIterator` | `listIterator()` Returns a `bidirectional iterator` over all my elements, in the appropriate sequence.
`CharListIterator` | `listIterator(int index)` Returns a `bidirectional iterator` over all my elements, in the appropriate sequence, starting at the specified position.
`boolean` | `removeAll(CharCollection c)` Removes all of my elements that are contained in the specified collection (optional operation).
`boolean` | `removeElement(char element)` Removes a single occurrence of the specified element (optional operation).
`char` | `removeElementAt(int index)` Removes the element at the specified position in (optional operation).
`boolean` | `retainAll(CharCollection c)` Removes all of my elements that are not contained in the specified collection (optional operation).
`char` | `set(int index, char element)` Replaces the element at the specified position in me with the specified element (optional operation).
`int` | `size()` Returns the number of elements I contain.
`CharList` | `subList(int fromIndex, int toIndex)` Returns a view of the elements within me between the specified fromIndex, inclusive, and toIndex, exclusive.
`char[]` | `toArray()` Returns an array containing all of my elements.
`char[]` | `toArray(char[] a)` Returns an array containing all of my elements, using the given array if it is large enough.
`String` | `toString()`
`static CharList` | `wrap(CharList list)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.commons.collections.primitives.CharList
`equals, hashCode`

Methods inherited from interface org.apache.commons.collections.primitives.CharCollection
`contains, containsAll, isEmpty, size, toArray, toArray`

Method Detail

### wrap

    public static final CharList wrap(CharList list)

### getProxiedList

    protected CharList getProxiedList()

### add

    public final void add(int index,
                          char element)

  Description copied from interface: `CharList`
  Inserts the specified element at the specified position (optional operation). Shifts the element currently at that position (if any) and any subsequent elements to the right, increasing their indices.

### addAll

    public final boolean addAll(int index,
                                CharCollection collection)

  Description copied from interface: `CharList`
  Inserts all of the elements in the specified collection into me, at the specified position (optional operation). Shifts the element currently at that position (if any) and any subsequent elements to the right, increasing their indices. The new elements will appear in the order that they are returned by the given collection's `iterator`.

### removeElementAt

    public final char removeElementAt(int index)

  Description copied from interface: `CharList`
  Removes the element at the specified position in (optional operation). Any subsequent elements are shifted to the left, subtracting one from their indices. Returns the element that was removed.

### set

    public final char set(int index,
                          char element)

  Description copied from interface: `CharList`
  Replaces the element at the specified position in me with the specified element (optional operation).

### add

    public final boolean add(char element)

  Description copied from interface: `CharList`
  Appends the specified element to the end of me (optional operation). Returns `true` iff I changed as a result of this call.

  If a collection refuses to add the specified element for any reason other than that it already contains the element, it must throw an exception (rather than simply returning `false`). This preserves the invariant that a collection always contains the specified element after this call returns.

### addAll

    public final boolean addAll(CharCollection c)

  Description copied from interface: `CharCollection`
  `Adds` all of the elements in the specified collection to me (optional operation).

### clear

    public final void clear()

  Description copied from interface: `CharCollection`
  Removes all my elements (optional operation). I will be `empty` after this method successfully returns.

### removeAll

    public final boolean removeAll(CharCollection c)

  Description copied from interface: `CharCollection`
  Removes all of my elements that are contained in the specified collection (optional operation). The behavior of this method is unspecified if the given collection is modified while this method is executing. Note that this includes the case in which the given collection is this collection, and it is not empty.

### removeElement

    public final boolean removeElement(char element)

  Description copied from interface: `CharCollection`
  Removes a single occurrence of the specified element (optional operation).

### retainAll

    public final boolean retainAll(CharCollection c)

  Description copied from interface: `CharCollection`
  Removes all of my elements that are not contained in the specified collection (optional operation). (In other words, retains only my elements that are contained in the specified collection.) The behavior of this method is unspecified if the given collection is modified while this method is executing.

### subList

    public final CharList subList(int fromIndex,
                                  int toIndex)

  Description copied from interface: `CharList`
  Returns a view of the elements within me between the specified fromIndex, inclusive, and toIndex, exclusive. The returned `CharList` is backed by me, so that any changes in the returned list are reflected in me, and vice-versa. The returned list supports all of the optional operations that I support.

  Note that when `fromIndex == toIndex`, the returned list is initially empty, and when `fromIndex == 0 && toIndex == `size()`` the returned list is my "improper" sublist, containing all my elements.

  The semantics of the returned list become undefined if I am structurally modified in any way other than via the returned list.

### iterator

    public final CharIterator iterator()

  Description copied from interface: `CharList`
  Returns an `iterator` over all my elements, in the appropriate sequence.

### listIterator

    public CharListIterator listIterator()

  Description copied from interface: `CharList`
  Returns a `bidirectional iterator` over all my elements, in the appropriate sequence.

### listIterator

    public CharListIterator listIterator(int index)

  Description copied from interface: `CharList`
  Returns a `bidirectional iterator` over all my elements, in the appropriate sequence, starting at the specified position. The specified index indicates the first element that would be returned by an initial call to the `next` method. An initial call to the `previous` method would return the element with the specified index minus one.

### getProxiedCollection

    protected final CharCollection getProxiedCollection()

### get

    public char get(int index)

  Description copied from interface: `CharList`
  Returns the value of the element at the specified position within me.

  Specified by:
    `get` in interface `CharList`
  Parameters:
    `index` - the index of the element to return
  Returns:
    the value of the element at the specified position

### indexOf

    public int indexOf(char element)

  Description copied from interface: `CharList`
  Returns the index of the first occurrence of the specified element within me, or `-1` if I do not contain the element.

  Specified by:
    `indexOf` in interface `CharList`
  Parameters:
    `element` - the element to search for
  Returns:
    the smallest index of an element matching the specified value, or `-1` if no such matching element can be found

### lastIndexOf

    public int lastIndexOf(char element)

  Description copied from interface: `CharList`
  Returns the index of the last occurrence of the specified element within me, or -1 if I do not contain the element.

  Specified by:
    `lastIndexOf` in interface `CharList`
  Parameters:
    `element` - the element to search for
  Returns:
    the largest index of an element matching the specified value, or `-1` if no such matching element can be found

### contains

    public boolean contains(char element)

  Description copied from interface: `CharCollection`
  Returns `true` iff I contain the specified element.

  Specified by:
    `contains` in interface `CharCollection`
  Parameters:
    `element` - the value whose presence within me is to be tested
  Returns:
    `true` iff I contain the specified element

### containsAll

    public boolean containsAll(CharCollection c)

  Description copied from interface: `CharCollection`
  Returns `true` iff I `contain` all of the elements in the given collection.

  Specified by:
    `containsAll` in interface `CharCollection`
  Parameters:
    `c` - the collection of elements whose presence within me is to be tested
  Returns:
    `true` iff I contain the all the specified elements

### isEmpty

    public boolean isEmpty()

  Description copied from interface: `CharCollection`
  Returns `true` iff I contain no elements.

  Specified by:
    `isEmpty` in interface `CharCollection`
  Returns:
    `true` iff I contain no elements.

### size

    public int size()

  Description copied from interface: `CharCollection`
  Returns the number of elements I contain.

  Specified by:
    `size` in interface `CharCollection`
  Returns:
    the number of elements I contain

### toArray

    public char[] toArray()

  Description copied from interface: `CharCollection`
  Returns an array containing all of my elements. The length of the returned array will be equal to my `size`.

  The returned array will be independent of me, so that callers may modify that returned array without modifying this collection.

  When I guarantee the order in which elements are returned by an `iterator`, the returned array will contain elements in the same order.

  Specified by:
    `toArray` in interface `CharCollection`
  Returns:
    an array containing all my elements

### toArray

    public char[] toArray(char[] a)

  Description copied from interface: `CharCollection`
  Returns an array containing all of my elements, using the given array if it is large enough. When the length of the given array is larger than the number of elements I contain, values outside of my range will be unchanged.

  The returned array will be independent of me, so that callers may modify that returned array without modifying this collection.

  When I guarantee the order in which elements are returned by an `iterator`, the returned array will contain elements in the same order.

  Specified by:
    `toArray` in interface `CharCollection`
  Parameters:
    `a` - an array that may be used to contain the elements
  Returns:
    an array containing all my elements

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.